Skip to main content
POST
Get usage metrics (POST)

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

page_size
integer | null
page
integer | null
sort
enum<string>
default:asc
Available options:
asc,
desc
id
string | null
connector
string | null

Source connector name. Example: postgresql, mysql, ...

partial_name
string | null

Enter the source name you want to search for

tenant_ids
string | null

A comma-separated list of Tenant IDs

entity_type
string | null
default:sources
Pattern: ^(sources|destinations)$

Body

application/json

Body model for POST /billing/usage/metrics requests.

Supports large lists of IDs that would exceed URL length limits when using GET. Body parameters take precedence over query parameters when both are provided.

tenant_ids

List of tenant IDs (as array) or comma-separated string. Body takes precedence over query params.

Response

Successful Response

The response is of type Response Searchusagemetrics · object.